<?php
/**
* @version	$Id: themes_tag_processor.php 16513 2017-01-20 14:10:53Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class ThemesTagProcessor extends kDBTagProcessor
	{
		function StylesheetFile($params)
		{
			// not using theme-based stylesheets anymore
			trigger_error('Tag "StylesheetFile" is depricated and should not be used.', E_USER_NOTICE);

			return '';
		}

		function SelectedTheme($params)
		{
			$object = $this->getObject($params);

			/** @var kThemesHelper $themes_helper */
			$themes_helper = $this->Application->recallObject('ThemesHelper');

			return $object->GetDBField('ThemeId') == $themes_helper->getCurrentThemeId();
		}
	}
